---
repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.5.0
  hooks:
    - id: check-yaml
      args: ['--allow-multiple-documents']
    - id: end-of-file-fixer
    - id: trailing-whitespace
    - id: mixed-line-ending
      args: ['--fix=lf']
    - id: requirements-txt-fixer

- repo: https://github.com/PyCQA/flake8
  rev: 6.1.0
  hooks:
    - id: flake8
      args: ['--ignore=E501']

- repo: https://github.com/psf/black
  rev: 23.12.0
  hooks:
    - id: black

- repo: https://github.com/PyCQA/bandit
  rev: 1.7.6
  hooks:
    - id: bandit
      args: ["--exclude", "tests"]
